<p>
  first-comp works!
</p>

<div>
	<form>
		<input type="text" placeholder="name" [(ngModel)]="inputData[0].name" [ngModelOptions]="{standalone: true}"/>
		<input type="text" placeholder="number" [(ngModel)]="inputData[0].age" [ngModelOptions]="{standalone: true}"/>
		<button (click)="putData()" >Submit</button>
	</form>
</div>
<table>
	<thead>
		<td>Name</td><td>Age</td><td>Action</td>
	</thead>
	<tbody>
		<tr *ngFor= "let detail of myArray">
			<td>{{detail.name | myPipe:detail.age}}</td><td>{{detail.age}}</td>
			<td><button (click) = 'onMyClick(detail)'>remove</button></td>
		</tr>
	</tbody>
</table>
